# eth\_getFilterLogs

1. #### Parameters

   <mark style="color:blue;">id</mark> string REQUIRED-The filter ID

```json
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getFilterLogs","params":["0xfba02b32cc0fd31639b68144ebc59fd2"],"id":1,"jsonrpc":"2.0"}'
```

2. #### Returns

* result-An array of log objects, or an empty array if nothing has changed since last poll
  * <mark style="color:blue;">**address**</mark> string - The address from which this log originated&#x20;
  * <mark style="color:blue;">topics</mark> array - An array of (0 to 4) 32 Bytes DATA of indexed log arguments. (In solidity: The first topic is the hash of the signature of the event (e.g. Deposit(address,bytes32,uint256)), except you declared the event with the anonymous specifier)&#x20;
  * <mark style="color:blue;">data</mark> string- It contains one or more 32 Bytes non-indexed arguments of the log&#x20;
  * <mark style="color:blue;">blockNumber</mark> string- The block number where this log was in. null when its pending. Null when it's a pending log&#x20;
  * <mark style="color:blue;">transactionHash</mark> string-The hash of the transaction from which this log was created from. null if the log is pending&#x20;
  * <mark style="color:blue;">transactionIndex</mark> string- The integer of the transaction's index position that the log was created from. Null when it's a pending log&#x20;
  * <mark style="color:blue;">blockHash</mark> string- The hash of the block where this log was in. Null when it's a pending log&#x20;
  * l<mark style="color:blue;">ogIndex</mark> string- The integer of the log index position in the block. Null when it's a pending log&#x20;
  * <mark style="color:blue;">removed</mark> boolean- It is true if log was removed, due to a chain reorganization and false if it's a valid log


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/eth_getfilterlogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
